Bug 501223 - Review Request: tuxmath - Educational math tutor for children
Review Request: tuxmath - Educational math tutor for children
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 01:36 EDT by Johan Cwiklinski
Modified: 2009-06-30 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.7.2-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Johan Cwiklinski 2009-05-18 01:36:04 EDT
SPEC URL:
http://rpms.ulysses.fr/SPECS/tuxmath.spec

SRPM URL:
http://rpms.ulysses.fr/SRPMS/tuxmath-1.7.2-1.fc10.src.rpm

Description:
An educational math software for children, just like TuxTyping for words :)

rpmlint on SRPM is clean.
rpmlint on RPM gives:
tuxmath.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tuxmath-1.7.2/OFL.txt

I think we can ignore the rpmlint here.

Package builds fine in mock under F-10 for both F-10 and F-9
Comment 1 Jan Klepek 2009-05-19 13:30:47 EDT
Hi Johan,

1] I think we shouldn't ignore this easy-to-fix issue.

2] SPEC doesn't match provided SRPM, could you give us link to latest SRPM?
Comment 2 Johan Cwiklinski 2009-05-19 14:10:33 EDT
Hi Jan,

Ok, I'll fox the end-of-line issue and will upload the new SPEC/SRPM

Sorry, I've uploaded the wrong SRPM :/ Here's the correct one :
http://rpms.ulysses.fr/SRPMS/tuxmath-1.7.2-2.fc10.src.rpm
Comment 3 Johan Cwiklinski 2009-05-19 14:19:44 EDT
Ok, I've corrected the rpmlint issue. rpmlint output is now completely clean for both SRPM and RPM.

Here's updated links :
SRPM : http://rpms.ulysses.fr/SRPMS/tuxmath-1.7.2-3.fc10.src.rpm
SPEC : http://rpms.ulysses.fr/SPECS/tuxmath.spec
Comment 4 Jan Klepek 2009-05-19 17:00:09 EDT
1] as i take a deeply look, do you even need doc/OFL.txt?
it contains license for fonts, which are removed during %prep. So there is no reason to keep it, at least from my point of view. Or is this file license for anything else?

2] Koji build ok on all platforms.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1364506
Comment 5 Johan Cwiklinski 2009-05-20 01:51:16 EDT
You're right, i did not pay attention to the content of the OFL.txt file, but it indeed seems font related only.

I've removed it, here's the updated links : 
SRPM : http://rpms.ulysses.fr/SRPMS/tuxmath-1.7.2-4.fc10.src.rpm
SPEC : http://rpms.ulysses.fr/SPECS/tuxmath.spec
Comment 6 Jan Klepek 2009-06-10 01:55:41 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review.
- OK
rpmlint /home/makerpm/rpmbuild/SRPMS/tuxmath-1.7.2-4.fc11.src.rpm /home/makerpm/rpmbuild/RPMS/i586/tuxmath-1.7.2-4.fc11.i586.rpm /home/makerpm/rpmbuild/RPMS/i586/tuxmath-debuginfo-1.7.2-4.fc11.i586.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST: The package must be named according to the Package Naming Guidelines.
- OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
- OK

MUST: The package must meet the Packaging Guidelines
- OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
- OK

MUST: The License field in the package spec file must match the actual license.
- OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- OK

MUST: The spec file must be written in American English.
-OK

MUST: The spec file for the package MUST be legible.
-OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
-OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK, koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1403044

MUST: If the package does not successfully compile, build or work on an architecture...
- OK

MUST: All build dependencies must be listed in BuildRequires
- OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
-OK

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
-OK, no shared library

MUST: If the package is designed to be relocatable
- OK

MUST: A package must own all directories that it creates.
- OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

MUST: Permissions on files must be set properly.
- OK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK

MUST: Each package must consistently use macros.
- OK

MUST: The package must contain code, or permissable content.
- OK

MUST: Large documentation files must go in a -doc subpackage.
- OK, no large documentation

MUST: If a package includes something as %doc, it must not affect the runtime of the application.
- OK

MUST: Header files must be in a -devel package.
- OK, no header files

MUST: Static libraries must be in a -static package.
- ok, no static libraries

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
- OK, no .pc files present

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
- OK, no .so library

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}{release}
- OK, no devel package
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- OK, no .la archives

MUST: Packages containing GUI applications must include a %{name}.desktop file
- OK, desktop file present and desktop-file-install used

MUST: Packages must not own files or directories already owned by other packages. 
- OK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
- OK

MUST: All filenames in rpm packages must be valid UTF-8.
- OK

Conclusion: APPROVED
Comment 7 Johan Cwiklinski 2009-06-10 11:11:39 EDT
New Package CVS Request
=======================
Package Name: tuxmath
Short Description: Educational math tutor for children
Owners: trasher
Branches: F-10 F-11
InitialCC: trasher
Comment 8 Jason Tibbitts 2009-06-10 17:08:11 EDT
CVS done.
Comment 9 Fedora Update System 2009-06-12 02:30:14 EDT
tuxmath-1.7.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tuxmath-1.7.2-4.fc11
Comment 10 Fedora Update System 2009-06-12 02:30:19 EDT
tuxmath-1.7.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tuxmath-1.7.2-4.fc10
Comment 11 Fedora Update System 2009-06-15 21:42:12 EDT
tuxmath-1.7.2-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxmath'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6120
Comment 12 Fedora Update System 2009-06-15 22:14:40 EDT
tuxmath-1.7.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxmath'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6342
Comment 13 Fedora Update System 2009-06-30 17:25:42 EDT
tuxmath-1.7.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-06-30 17:33:50 EDT
tuxmath-1.7.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.